Debian Bug report logs - #376187
ITP: isomd5sum -- ISO/block-level checksum utilities

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ryan Finnie <ryan@finnie.org>

Date: Fri, 30 Jun 2006 19:18:08 UTC

Owned by: ryan finnie <ryan@finnie.org>

Severity: wishlist

Fixed in version isomd5sum/11.1.0.95-1

Done: Ryan Finnie <ryan@finnie.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, ryan finnie <ryan@finnie.org>:
Bug#376187; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Finnie <ryan@finnie.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, ryan finnie <ryan@finnie.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Finnie <ryan@finnie.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: isomd5sum -- ISO/block-level checksum utilities
Date: Fri, 30 Jun 2006 12:16:41 -0700
Package: wnpp
Severity: wishlist
Owner: Ryan Finnie <ryan@finnie.org>


* Package name    : isomd5sum
  Version         : 11.1.0.50
  Upstream Author : Jeremy Katz <katzj@redhat.com>
* URL             : http://fedora.redhat.com/projects/anaconda-installer/
* License         : GPL
  Programming Lang: C, Python
  Description     : ISO/block-level checksum utilities

isomd5sum is a set of utilities for implanting a MD5-like checksum in an 
ISO (or any block device), then verifying the checksum later.  isomd5sum 
is part of Anaconda; when you boot a RH/Fedora installer and select 
"verify cd", it's running isomd5sum.

isomd5sum is actually a subdirectory of the Anaconda tarball 
(anaconda-11.1.0.50.tar.bz2 as of this writing).  I am currently working 
on packaging so anaconda=11.1.0.50-1 is the source package, while 
isomd5sum=11.1.0.50-1 is the binary package.  Essentially a multi-binary 
package with only one binary package (now), if that makes sense.  That 
way, if any other part of Anaconda proves to be useful, multiple binary 
packages can be associated with the anaconda source package.

And before anybody asks, this has nothing to do with bug #222917.  I 
have no intention of packaging the RH Anaconda installer itself; it's 
just that one of the sets of utilities embedded within anaconda are 
useful on its own.

I am not a Debian developer, and this is my first ITP, so I will need 
someone to yell at me for the inevitable incorrect packaging methods 
when I do submit the package. :)

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (100, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, ryan finnie <ryan@finnie.org>:
Bug#376187; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ryan Finnie" <ryan@finnie.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, ryan finnie <ryan@finnie.org>. Full text and rfc822 format available.

Message #10 received at 376187@bugs.debian.org (full text, mbox):

From: "Ryan Finnie" <ryan@finnie.org>
To: 376187@bugs.debian.org
Subject: Re: Bug#376187: ITP: isomd5sum -- ISO/block-level checksum utilities
Date: Sat, 1 Jul 2006 01:27:38 -0700
I have sponsor who will be examining the package, but here it is:
http://www.finnie.org/software/debian-anaconda/

The source package is "anaconda", and the main binary package is
"isomd5sum", which mainly contains two binaries, "implantisomd5" and
"checkisomd5".  Additionally, there are two python packages,
"python2.3-isomd5sum" and "python2.4-isomd5sum", which contain the
corresponding python module (as well as an example script).

Manpages were generated for the two binaries.  lintian and linda both
report no warnings.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, ryan finnie <ryan@finnie.org>:
Bug#376187; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ryan Finnie" <ryan@finnie.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, ryan finnie <ryan@finnie.org>. Full text and rfc822 format available.

Message #15 received at 376187@bugs.debian.org (full text, mbox):

From: "Ryan Finnie" <ryan@finnie.org>
To: 376187@bugs.debian.org
Subject: ITP: isomd5sum -- ISO/block-level checksum utilities
Date: Thu, 14 Sep 2006 18:16:49 -0700
Builds have been placed on mentors.debian.net[1], and have been vetted
on the debian-mentors list[2].  However, despite previous comment on
the bug report, I am now seeking a sponsor.

Also, the source package has been broken off into a dedicated
isomd5sum source tarball, mainly because isomd5sum is less than 1% of
the code of anaconda (19KB vs 5.5MB), and documenting the
copyright/licensing of all unrelated code would be cumbersome (but
required for DFSG).  As a result, the source package is "isomd5sum",
not "anaconda", and only contains isomd5sum sources.

Thank you,
Ryan Finnie

[1] http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=isomd5sum
[2] http://lists.debian.org/debian-mentors/2006/09/threads.html#00265



Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ryan Finnie <ryan@finnie.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ryan Finnie <ryan@finnie.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 376187-close@bugs.debian.org (full text, mbox):

From: Ryan Finnie <ryan@finnie.org>
To: 376187-close@bugs.debian.org
Subject: Bug#376187: fixed in isomd5sum 11.1.0.95-1
Date: Sun, 01 Oct 2006 03:53:22 -0700
Source: isomd5sum
Source-Version: 11.1.0.95-1

We believe that the bug you reported is fixed in the latest version of
isomd5sum, which is due to be installed in the Debian FTP archive:

isomd5sum_11.1.0.95-1.diff.gz
  to pool/main/i/isomd5sum/isomd5sum_11.1.0.95-1.diff.gz
isomd5sum_11.1.0.95-1.dsc
  to pool/main/i/isomd5sum/isomd5sum_11.1.0.95-1.dsc
isomd5sum_11.1.0.95-1_i386.deb
  to pool/main/i/isomd5sum/isomd5sum_11.1.0.95-1_i386.deb
isomd5sum_11.1.0.95.orig.tar.gz
  to pool/main/i/isomd5sum/isomd5sum_11.1.0.95.orig.tar.gz
python-pyisomd5sum_11.1.0.95-1_i386.deb
  to pool/main/i/isomd5sum/python-pyisomd5sum_11.1.0.95-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 376187@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Finnie <ryan@finnie.org> (supplier of updated isomd5sum package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 13 Sep 2006 14:17:39 -0700
Source: isomd5sum
Binary: isomd5sum python-pyisomd5sum
Architecture: source i386
Version: 11.1.0.95-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Finnie <ryan@finnie.org>
Changed-By: Ryan Finnie <ryan@finnie.org>
Description: 
 isomd5sum  - ISO9660 checksum utilities
 python-pyisomd5sum - ISO9660 checksum Python module
Closes: 376187
Changes: 
 isomd5sum (11.1.0.95-1) unstable; urgency=low
 .
   * Initial release (Closes: #376187)
Files: 
 69c40302aeba5e8803aa075c8d1c1c7c 678 misc optional isomd5sum_11.1.0.95-1.dsc
 0d39ea8ad7fa07aaf8a2e457ab4510af 19121 misc optional isomd5sum_11.1.0.95.orig.tar.gz
 4f7ea5435f3e79a6caed0c5a5aa046e8 4569 misc optional isomd5sum_11.1.0.95-1.diff.gz
 ae6a672cc5d97ea4c279577236a341af 17522 misc optional isomd5sum_11.1.0.95-1_i386.deb
 e25749eb2c28ffc08eb16974ec8a8afb 14960 misc optional python-pyisomd5sum_11.1.0.95-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFC8TpCV53xXnMZYYRAsfJAJ4oL+txh3FaQoyf8ADseaKNKAJJ6QCfVDKa
YEjLifW1ny9tK3lVzIwVneA=
=Gzof
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 01:39:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:16:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.